EndpointsLeagues
Run power analysis
POST
/v2/divisions/{division_id}/power-analysisEstimate episode counts needed to distinguish policy performance in a division.
Authorization
BearerAuth AuthorizationBearer <token>
Bearer token issued by Softmax
In: header
Path Parameters
division_id*Division Id
Division whose completed episodes should be analyzed.
Match
^div_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Request Body
application/json
curl -X POST "https://example.com/v2/divisions/string/power-analysis" \ -H "Content-Type: application/json" \ -d '{}'{ "division_id": "string", "anchor": { "policy_ref": "string", "policy_version_id": "7cd41427-f4be-4006-ab17-5ead7f8f8446" }, "note": "string", "window": { "rounds": 0, "episodes_scanned": 0, "oldest_round_at": "2019-08-24T14:15:22Z" }, "mode_mix": { "fractions": { "property1": 0, "property2": 0 }, "source": "campaign_board" }, "modes": { "property1": { "episodes_used": 0, "ally_episodes_excluded": 0, "episodes_dropped_unclean": 0, "wins": 0, "ties_mutual_loss": 0, "ties_zero": 0, "losses": 0, "operating_point": 0, "score_variance": 0, "pairs_detected": 0, "pair_correlation": 0, "design_effect": 0, "aleatoric": { "noise_rmse": 0, "stability": 0, "profile_id": "bfcb6779-b1f9-41fc-92d7-88f8bc1d12e8" }, "flags": [ "string" ] }, "property2": { "episodes_used": 0, "ally_episodes_excluded": 0, "episodes_dropped_unclean": 0, "wins": 0, "ties_mutual_loss": 0, "ties_zero": 0, "losses": 0, "operating_point": 0, "score_variance": 0, "pairs_detected": 0, "pair_correlation": 0, "design_effect": 0, "aleatoric": { "noise_rmse": 0, "stability": 0, "profile_id": "bfcb6779-b1f9-41fc-92d7-88f8bc1d12e8" }, "flags": [ "string" ] } }, "league_pooled": { "property1": { "episodes_used": 0, "ally_episodes_excluded": 0, "episodes_dropped_unclean": 0, "wins": 0, "ties_mutual_loss": 0, "ties_zero": 0, "losses": 0, "operating_point": 0, "score_variance": 0, "pairs_detected": 0, "pair_correlation": 0, "design_effect": 0, "aleatoric": { "noise_rmse": 0, "stability": 0, "profile_id": "bfcb6779-b1f9-41fc-92d7-88f8bc1d12e8" }, "flags": [ "string" ] }, "property2": { "episodes_used": 0, "ally_episodes_excluded": 0, "episodes_dropped_unclean": 0, "wins": 0, "ties_mutual_loss": 0, "ties_zero": 0, "losses": 0, "operating_point": 0, "score_variance": 0, "pairs_detected": 0, "pair_correlation": 0, "design_effect": 0, "aleatoric": { "noise_rmse": 0, "stability": 0, "profile_id": "bfcb6779-b1f9-41fc-92d7-88f8bc1d12e8" }, "flags": [ "string" ] } }, "table": [ { "elo": 0, "per_mode_n_per_arm": { "property1": 0, "property2": 0 }, "blended_n_per_arm": 0, "blended_n_range": [ 0, 0 ], "one_arm_n": 0, "anchor": "string" } ]}